Inisiasi¶
Inisiasi sesi pencarian properti.
Durasi Sesi
Sesi akan kedaluwarsa dalam 20 menit.
Setelah kedaluwarsa, Anda harus melakukan inisiasi ulang untuk mendapatkan sesi baru dengan tarif kamar yang baru.
| Method | Endpoint |
|---|---|
| POST | https://api.digiflazz.com/v1/hotel/search |
Request Parameter¶
Paginasi
Gunakan Filter jika sesi masih berlaku.
Sign additional value: hotel.search
| Parameter | Deskripsi | Type | Required/Optional |
|---|---|---|---|
| city_id | Kode Kota | string | Required |
| property_id | Kode Properti | string | optional |
| check_in | Tanggal Check in, format YYYY-MM-DD |
string | Required |
| check_out | Tanggal Check in, format YYYY-MM-DD |
string | Required |
| stars | Kategori bintang properti yang ingin dicari | []int | optional |
| pax_count | Objek Jumlah Tamu | object | |
| pax_count.total_room | Jumlah Kamar | int | Required |
| pax_count.total_adult | Jumlah Orang Dewasa (1 - 4) | int | Required |
| pax_count.total_child | Jumlah anak-anak (0 - 2) | int | optional |
| pax_count.child_age | Umur anak-anak, hingga 18 tahun. Sesuaikan dengan jumlah total_child |
[]int | optional |
| page | Halaman paginasi | int | optional |
Contoh¶
{
"username": "YOUR_USERNAME",
"sign": "96e1028f6beaa817ee3670a39c01c69d",
"code": "skuhotel",
"city_id": "V1A7Q",
"check_in": "2026-02-12",
"check_out": "2026-02-14",
"stars": [3, 4, 5],
"pax_count": {
"total_room": 1,
"total_adult": 2,
"total_child": 0,
"child_age": []
}
}
Response¶
Data¶
ID Properti
ID properti akan berbeda tiap sesi Inisiasi.
Array of Properti
| Attribute | Deskripsi | Type | Note |
|---|---|---|---|
| id | ID properti | string | Selalu memiliki value yang berbeda tiap sesi inisiasi |
| name | Nama properti | string | |
| star | Kategori bintang properti | int | |
| type | Tipe properti | string | |
| main_photo | Foto properti | string | |
| address | Alamat properti | object | |
| room_summary | Ringkasan kamar | object | Gunakan endpoint Properti Detail untuk mendapatkan detail kamar dan kamar yang tersedia |
| room_summary.min_total_price | Harga kamar termurah | int | |
| room_summary.total_available_room | Total kamar yang tersedia | int |
Meta Data¶
| Attribute | Deskripsi | Type | Note |
|---|---|---|---|
| current_page | Halaman saat ini | int | |
| last_page | Halaman terakhir | int | |
| per_page | Data yang tampil tiap halaman | int | |
| total | Jumlah data | int | |
| session | Sesi pencarian properti | string | Gunakan value ini pada endpoint yang membutuhkan sesi |
Contoh¶
{
"message": "Sukses",
"rc": "00",
"buyer": {
"code": "skuhotel"
},
"seller": {
"tele": "@usernametelegram",
"wa": "081234567890"
},
"data": [
{
"id": "5p0j8d7x89eg",
"name": "JHL Solitaire Gading Serpong",
"star": 5,
"type": "hotel",
"main_photo": "https://ik.imagekit.io/vcrk/dev/hotel",
"address": {
"area": "Serpong"
},
"room_summary": {
"min_total_price": 4564106,
"total_available_room": 1
}
},
{
"id": "7p4d1o7kq96m",
"name": "Hotel Tentrem Jakarta",
"star": 5,
"type": "hotel",
"main_photo": "https://ik.imagekit.io/vcrk/dev/hotel",
"address": {
"area": "Alam Sutera"
},
"room_summary": {
"min_total_price": 4727684,
"total_available_room": 1
}
},
{
"id": "560n836z8w2o",
"name": "RedDoorz near Stasiun Tangerang",
"star": 2,
"type": "hotel",
"main_photo": "https://ik.imagekit.io/vcrk/dev/hotel",
"address": {
"area": "Alam Sutera"
},
"room_summary": {
"min_total_price": 530044,
"total_available_room": 1
}
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 20,
"total": 3,
"session": "2dfa0748-3b56-4255-aab2-6f62b8884353"
}
}
Test Case¶
| city_id |
|---|
V1A7Q |
xlKY1 |
Contoh¶
{
"username": "YOUR_USERNAME",
"sign": "96e1028f6beaa817ee3670a39c01c69d",
"code": "skuhotel",
"city_id": "V1A7Q",
"check_in": "2026-02-12",
"check_out": "2026-02-14",
"stars": [
3,
4,
5
],
"pax_count": {
"total_room": 1,
"total_adult": 2,
"total_child": 2,
"child_age": [2, 5]
},
"is_testing": true
}